package ink.wgink.module.map.pojo.vos.userlocation;

import ink.wgink.annotation.CheckEmptyAnnotation;
import ink.wgink.annotation.CheckNumberAnnotation;
import io.swagger.annotations.ApiModel;

/**
 *
 * @ClassName: UserLocationVO
 * @Description: 用户定位
 * @Author: CodeFactory
 * @Date: 2021-10-29 15:37:01
 * @Version: 3.0
 **/
@ApiModel
public class UserLocationVO {

    private String userLocationId;
    @CheckEmptyAnnotation(name = "用户经度")
    private String userLng;
    @CheckEmptyAnnotation(name = "用户维度")
    private String userLat;
    @CheckNumberAnnotation(name = "是否越界")
    private Integer isOverstep;
    @CheckEmptyAnnotation(name = "创建人")
    private String creator;
    @CheckEmptyAnnotation(name = "用户名")
    private String userUsername;
    @CheckEmptyAnnotation(name = "昵称")
    private String userName;
    private String gmtCreate;

    public String getUserLocationId() {
        return userLocationId == null ? "" : userLocationId.trim();
    }

    public void setUserLocationId(String userLocationId) {
        this.userLocationId = userLocationId;
    }

    public String getUserLng() {
        return userLng == null ? "" : userLng.trim();
    }

    public void setUserLng(String userLng) {
        this.userLng = userLng;
    }

    public String getUserLat() {
        return userLat == null ? "" : userLat.trim();
    }

    public void setUserLat(String userLat) {
        this.userLat = userLat;
    }

    public Integer getIsOverstep() {
        return isOverstep == null ? 0 : isOverstep;
    }

    public void setIsOverstep(Integer isOverstep) {
        this.isOverstep = isOverstep;
    }

    public String getCreator() {
        return creator == null ? "" : creator.trim();
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getUserUsername() {
        return userUsername == null ? "" : userUsername.trim();
    }

    public void setUserUsername(String userUsername) {
        this.userUsername = userUsername;
    }

    public String getUserName() {
        return userName == null ? "" : userName.trim();
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getGmtCreate() {
        return gmtCreate == null ? "" : gmtCreate.trim();
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }
}
